Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue.push
Class PushConsumer

    java.lang.Object
      org.hornetq.rest.queue.push.PushConsumer

All Implemented Interfaces:
  org.hornetq.api.core.client.MessageHandler

    public class PushConsumer

extends java.lang.Object
implements org.hornetq.api.core.client.MessageHandler

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected org.hornetq.api.core.client.ClientConsumer` | `consumer`
`protected java.lang.String` | `destination`
`protected org.hornetq.api.core.client.ClientSessionFactory` | `factory`
`protected java.lang.String` | `id`
`protected org.hornetq.api.core.client.ClientSession` | `session`
`protected PushStrategy` | `strategy`

Constructor Summary
`PushConsumer(org.hornetq.api.core.client.ClientSessionFactory factory, java.lang.String destination, java.lang.String id, PushRegistration registration)`

Method Summary
`java.lang.String` | `getDestination()`
`PushRegistration` | `getRegistration()`
`void` | `onMessage(org.hornetq.api.core.client.ClientMessage clientMessage)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected org.hornetq.api.core.client.ClientSessionFactory factory

### session

    protected org.hornetq.api.core.client.ClientSession session

### consumer

    protected org.hornetq.api.core.client.ClientConsumer consumer

### destination

    protected java.lang.String destination

### id

    protected java.lang.String id

### strategy

    protected PushStrategy strategy

Constructor Detail

### PushConsumer

    public PushConsumer(org.hornetq.api.core.client.ClientSessionFactory factory,
                        java.lang.String destination,
                        java.lang.String id,
                        PushRegistration registration)

Method Detail

### getRegistration

    public PushRegistration getRegistration()

### getDestination

    public java.lang.String getDestination()

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

### onMessage

    public void onMessage(org.hornetq.api.core.client.ClientMessage clientMessage)

  Specified by:
    `onMessage` in interface `org.hornetq.api.core.client.MessageHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.